Grantlee 5.3.0

Public Member Functions | List of all members
Grantlee::RenderContext Class Reference

Provides storage facility for state while rendering a template. More...

`#include <rendercontext.h>`

## Public Member Functions
| ~RenderContext ()
bool | contains (Node *const scopeNode) const
QVariant & | data (const Node *const scopeNode)

## Detailed Description

This class can not be instatiated by users of it. An instance of RenderContext is available through Context::renderContext() for use with implementations of re-entrant template tags.

Definition at line 46 of file rendercontext.h.

## Constructor & Destructor Documentation

## ◆ ~RenderContext()

Grantlee::RenderContext::~RenderContext | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ contains()

bool Grantlee::RenderContext::contains | ( | Node *const | scopeNode | ) | const

Returns whether the RenderContext contains data for `scopeNode`.

## ◆ data()

QVariant & Grantlee::RenderContext::data | ( | const Node *const | scopeNode | ) |

Returns the data for the node `scopeNode`.